For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
        • POSTUpdate member
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceWorkspaceMembers

Update member

POST
/v1/workspace/members
POST
/v1/workspace/members
$curl -X POST https://api.elevenlabs.io/v1/workspace/members \
> -H "Content-Type: application/json" \
> -d '{
> "email": "string"
>}'
1{
2 "status": "ok"
3}
Updates attributes of a workspace member. Apart from the email identifier, all parameters will remain unchanged unless specified. This endpoint may only be called by workspace administrators.
Was this page helpful?
Previous

Get Resource

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
emailstringRequired
Email of the target user.
is_lockedboolean or nullOptional
Whether to lock or unlock the user account.
workspace_seat_typeenum or nullOptional
The workspace seat type
Allowed values:
workspace_roleenum or nullOptionalDeprecated

The workspace role of the user. This is deprecated, use workspace_seat_type instead.

Allowed values:

Response

Successful Response
statusstring
The status of the workspace member update request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.

Errors

422
Unprocessable Entity Error